# MCPixelFX.h File Reference

## Classes
class | TMCRLEPixels
struct | DoPixelFXData
class | TMCPixelFX
struct | TMCPixelFX::SGaussTable
## Typedefs
typedef uint32(* | ChopProc )(register uint32 src, register uint32 dst)
## Enumerations
enum | EMCXChopID { kNoChop, kChopInvert, kChopInvertColor, kChopInvertAlpha, kChopAdd, kChopSubtract, kChopMultiply, kChopScreen, kChopAlphaOnly, kChopColorOnly, kChopOverlay }
## Functions
uint32 | MCXChopInvert (register uint32 src, register uint32 dst)
uint32 | MCXChopInvertColor (register uint32 src, register uint32 dst)
uint32 | MCXChopInvertAlpha (register uint32 src, register uint32 dst)
uint32 | MCXChopAdd (register uint32 src, register uint32 dst)
uint32 | MCXChopSubtract (register uint32 src, register uint32 dst)
uint32 | MCXChopMultiply (register uint32 src, register uint32 dst)
uint32 | MCXChopScreen (register uint32 src, register uint32 dst)
uint32 | MCXChopOverlay (register uint32 src, register uint32 dst)
uint32 | MCXChopAlphaOnly (register uint32 src, register uint32 dst)
uint32 | MCXChopColorOnly (register uint32 src, register uint32 dst)
ChopProc | ChopProcIDToProc (EMCXChopID inProcID)
boolean | MC2XDownSample (const TMCPixelBucket *src, TMCPixelBucket *dst)

## Typedef Documentation

typedef uint32(* ChopProc)(register uint32 src, register uint32 dst)

## Enumeration Type Documentation

enum EMCXChopID

Enumerator:

  kNoChop |
  kChopInvert |
  kChopInvertColor |
  kChopInvertAlpha |
  kChopAdd |
  kChopSubtract |
  kChopMultiply |
  kChopScreen |
  kChopAlphaOnly |
  kChopColorOnly |
  kChopOverlay |

## Function Documentation

ChopProc ChopProcIDToProc | ( | EMCXChopID | inProcID | ) |

boolean MC2XDownSample | ( | const TMCPixelBucket * | src,
|  | TMCPixelBucket * | dst |
| ) |  |  |

uint32 MCXChopAdd | ( | register uint32 | src,
|  | register uint32 | dst |
| ) |  |  |

uint32 MCXChopAlphaOnly | ( | register uint32 | src,
|  | register uint32 | dst |
| ) |  |  |

uint32 MCXChopColorOnly | ( | register uint32 | src,
|  | register uint32 | dst |
| ) |  |  |

uint32 MCXChopInvert | ( | register uint32 | src,
|  | register uint32 | dst |
| ) |  |  |

uint32 MCXChopInvertAlpha | ( | register uint32 | src,
|  | register uint32 | dst |
| ) |  |  |

uint32 MCXChopInvertColor | ( | register uint32 | src,
|  | register uint32 | dst |
| ) |  |  |

uint32 MCXChopMultiply | ( | register uint32 | src,
|  | register uint32 | dst |
| ) |  |  |

uint32 MCXChopOverlay | ( | register uint32 | src,
|  | register uint32 | dst |
| ) |  |  |

uint32 MCXChopScreen | ( | register uint32 | src,
|  | register uint32 | dst |
| ) |  |  |

uint32 MCXChopSubtract | ( | register uint32 | src,
|  | register uint32 | dst |
| ) |  |  |